/**
 * @author WanJl
 * @version 1.0
 * @title HomeWork07
 * @description   7月14日课后作业-数字加密系统
 * @create 2026/7/15
 */
public class HomeWork07 {
    public static void main(String[] args) {
        int number=1234;
        //加密规则-0 获取每个位的数
        int qian=number/1000; //百位
        int bai=number/100%10; //百位
        int shi=number/10%10;   //十位
        int ge=number%10;   //个位
        System.out.print("原始数字："+qian);
        System.out.print(bai);
        System.out.print(shi);
        System.out.println(ge);

        //加密规则-1 对每个数字加5
        qian+=5;
        bai+=5;
        shi+=5;
        ge+=5;
        System.out.print("每位+5后："+qian);
        System.out.print(bai);
        System.out.print(shi);
        System.out.println(ge);
        //加密规则-2 对10取余
        qian%=10;
        bai%=10;
        shi%=10;
        ge%=10;
        System.out.print("取余10后："+qian);
        System.out.print(bai);
        System.out.print(shi);
        System.out.println(ge);
        //加密规则-3 第1位和第4位互换，第2位和第3位互换

        qian=qian+ge;
        ge=qian-ge;
        qian=qian-ge;

        bai=bai+shi;
        shi=bai-shi;
        bai=bai-shi;
        System.out.print("交换后："+qian);
        System.out.print(bai);
        System.out.print(shi);
        System.out.println(ge);
        System.out.println("加密结果："+qian+bai+shi+ge);
        /*
            0b开头的整数  二进制数
            0开头的整数   八进制数
            0x开头的整数 十六进制数
         */
    }
}
